
import OimoRigidBody from "../Oimo/OimoRigibody";
import OimoBodyData from "../Oimo/OimoBodyData";
import { DealPackaging } from "../GameLogic/DealPackaging";

export default class StandBehaviour extends OimoRigidBody {

    public constructor() {
        super();
    }
    public init(data: OimoBodyData) {
        if(!data)data=new OimoBodyData();
        data.move = false;
        super.init(data);
    }

    public onAwake(): void {


    }

    public onUpdate() {

    }
    public onStart(): void {
    }


    public onDisable(): void {
        if (this.body && this.body.parent) {
            this.body.dispose();
            this.body.id = -1;
            this.body.name = -1;
        }
        this.body = null;
    }
}